class LearningObject::DraftBuilder

  def self.build(publisher, params={})
    @draft = LearningObject.new(sanitize_params(params))
    @draft.draft

    # build topics
    params[:topics].try(:each) do |t|
      @draft.topics << Topic.find(t)
    end

    #build language
    @draft.language = Language.find(params[:language]) if params[:language].to_i > 0

    # set publisher
    @draft.publisher = publisher
    @draft
  end

  private

  def self.sanitize_params(args={})
    _args = args.clone
    %w(topics language link).each do |arg|
      _args.delete(arg)
    end
    metadata = [{'key' => 'dc.object.url', 'value' => args[:link]}]
    _args.merge(metadata: metadata)
  end

end
