class ComplaintsController < ApplicationController
  include Pundit

  before_action :authorize_action
  before_action :authenticate_user!

  def create
    complaint = Complaint.new(complaint_params)
    complaint.user = current_user

    respond_to do |format|
      if complaint.save
        format.html { redirect_to :back, notice: t('activerecord.attributes.complaint.create.notice.sucess') }
      else
        format.html { redirect_to :back, alert: t('activerecord.attributes.complaint.create.alert.failure') }
      end
    end
  end

  private

  # Never trust parameters from the scary internet, only allow the white list through.
  def complaint_params
    params.require(:complaint).permit(:complaintable_id, :complaintable_type, :complaint_reason_id, :description)
  end

  def authorize_action
    @complaint ||= Complaint.new(complaint_params)
    authorize @complaint
  end

end
