# == Schema Information
#
# Table name: topics
#
#  id         :integer          not null, primary key
#  name       :string
#  created_at :datetime         not null
#  updated_at :datetime         not null
#  default    :boolean          default("false")
#

class Topic < ActiveRecord::Base
  has_and_belongs_to_many :learning_objects

  has_many :topic_relationships, foreign_key: 'parent_id'
  has_many :subtopics, through: :topic_relationships, source: :child

  has_many :topic_highlights
  has_many :highlights, through: :topic_highlights, source: :learning_object

  validates_presence_of :name
  validates_uniqueness_of :name

  scope :defaults, -> { where(default: true) }
end
