# == Schema Information
#
# Table name: topic_relationships
#
#  id         :integer          not null, primary key
#  parent_id  :integer
#  child_id   :integer
#  created_at :datetime         not null
#  updated_at :datetime         not null
#

class TopicRelationship < ActiveRecord::Base
  belongs_to :parent, class_name: 'Topic'
  belongs_to :child, class_name: 'Topic'

  validates_presence_of :parent, :child
  validates_uniqueness_of :child, scope: :parent
end
